#ifndef SPI_FLASH_MISC_H__
#define SPI_FLASH_MISC_H__

#include "sdk_errors.h"


/** @brief SPI flash init command data structure.
 */
typedef struct {
    uint32_t    fw_version;                             /**< Firmware version. */
    uint32_t    app_size;                               /**< Firmware size. */
    uint32_t    app_crc;                                /**< Firmware CRC-32. */
    uint32_t    cmd_crc;                                /**< Init command CRC-32. */
} spi_flash_init_cmd_t;


uint32_t spi_flash_get_fw_dat_addr(void);
uint32_t spi_flash_get_fw_bin_addr(void);
uint32_t spi_flash_verify_init(const spi_flash_init_cmd_t *p_init);


#endif // SPI_FLASH_MISC_H__
